changeset 672:9e433dafde35

Merge
author asaha
date Mon, 08 Apr 2013 15:40:23 -0700
parents 575cc17424d2 (diff) c254ab44bd14 (current diff)
children 29a789ae14dc
files .hgtags
diffstat 3 files changed, 72 insertions(+), 18 deletions(-) [+]
line wrap: on
line diff
--- a/.hgtags	Mon Mar 04 14:17:07 2013 -0800
+++ b/.hgtags	Mon Apr 08 15:40:23 2013 -0700
@@ -252,3 +252,17 @@
 933d424580f967ed11eda2bbfd690f985a72df6e jdk7u17-b30
 790582955edb617b41abbc73cf82544dbf8c1d97 jdk7u17-b31
 941539a9f6441f053e8e7f31064944b2fc08879f jdk7u17-b32
+527d3cf769ec073d7348e4c31f97c47c943c96b6 jdk7u21-b01
+bc264b362dc7b4f2bda34e1a5b87a4f0c2bd4d82 jdk7u21-b02
+20603c659295a40c7f16259cb08c91475092efed jdk7u21-b03
+d2b1fdd8ee0affe640c7493ab3ae04fcc1961446 jdk7u21-b04
+2d6657f92359d1d46b355fd0c99b8aa5f34832e4 jdk7u21-b05
+14522481739dc6981beb5cc55d543dcc62cda067 jdk7u21-b06
+0df382e8c17bf817d55fc8759c7f5c9e9d0337f0 jdk7u21-b07
+1aff32a21aba64c3767e9a72ebf1b8ba490e99ec jdk7u21-b08
+a2e0099b4cf70be026a7a0ba7918fcd71d57fdce jdk7u21-b09
+602ad1a5b09fb9136e8bf1b708e0524fbdb35324 jdk7u21-b10
+fa322ca378324750ea049f2e92357e51eca27ae4 jdk7u21-b11
+450e8dde919df278fe75ae95e0eb0a6464f5bc41 jdk7u21-b30
+50bfbd21bf42f6ae4167226ac45cd79e0ab7758c jdk7u25-b03
+a94c9aa356bbed13c1e2b4a9a380117ddff1668f jdk7u25-b04
--- a/get_source.sh	Mon Mar 04 14:17:07 2013 -0800
+++ b/get_source.sh	Mon Apr 08 15:40:23 2013 -0700
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -26,7 +26,7 @@
 #
 
 # Get clones of all nested repositories
-sh ./make/scripts/hgforest.sh clone
+sh ./make/scripts/hgforest.sh clone $*
 
 # Update all existing repositories to the latest sources
 sh ./make/scripts/hgforest.sh pull -u
--- a/make/scripts/hgforest.sh	Mon Mar 04 14:17:07 2013 -0800
+++ b/make/scripts/hgforest.sh	Mon Apr 08 15:40:23 2013 -0700
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -24,6 +24,8 @@
 #
 
 # Shell script for a fast parallel forest command
+command="$1"
+pull_extra_base="$2"
 
 tmp=/tmp/forest.$$
 rm -f -r ${tmp}
@@ -35,40 +37,58 @@
 
 # Only look in specific locations for possible forests (avoids long searches)
 pull_default=""
-if [ "$1" = "clone" -o "$1" = "fclone" ] ; then
+repos=""
+repos_extra=""
+if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
   subrepos="corba jaxp jaxws langtools jdk hotspot"
   if [ -f .hg/hgrc ] ; then
     pull_default=`hg paths default`
+    if [ "${pull_default}" = "" ] ; then
+      echo "ERROR: Need initial clone with 'hg paths default' defined"
+      exit 1
+    fi
   fi
   if [ "${pull_default}" = "" ] ; then
-    echo "ERROR: Need initial clone with 'hg paths default' defined"
+    echo "ERROR: Need initial repository to use this script"
     exit 1
   fi
-  repos=""
   for i in ${subrepos} ; do
     if [ ! -f ${i}/.hg/hgrc ] ; then
       repos="${repos} ${i}"
     fi
   done
+  if [ "${pull_extra_base}" != "" ] ; then
+    subrepos_extra="jdk/src/closed jdk/make/closed jdk/test/closed hotspot/src/closed hotspot/test/closed deploy install sponsors pubs"
+    pull_default_tail=`echo ${pull_default} | sed -e 's@^.*://[^/]*/\(.*\)@\1@'`
+    pull_extra="${pull_extra_base}/${pull_default_tail}"
+    for i in ${subrepos_extra} ; do
+      if [ ! -f ${i}/.hg/hgrc ] ; then
+        repos_extra="${repos_extra} ${i}"
+      fi
+    done
+  fi
   at_a_time=2
+  # Any repos to deal with?
+  if [ "${repos}" = "" -a "${repos_extra}" = "" ] ; then
+    echo "No repositories to clone."
+    exit
+  fi
 else
   hgdirs=`ls -d ./.hg ./*/.hg ./*/*/.hg ./*/*/*/.hg ./*/*/*/*/.hg 2>/dev/null`
   # Derive repository names from the .hg directory locations
-  repos=""
   for i in ${hgdirs} ; do
     repos="${repos} `echo ${i} | sed -e 's@/.hg$@@'`"
   done
   at_a_time=8
+  # Any repos to deal with?
+  if [ "${repos}" = "" ] ; then
+    echo "No repositories to process."
+    exit
+  fi
 fi
 
-# Any repos to deal with?
-if [ "${repos}" = "" ] ; then
-  echo "No repositories to process."
-  exit
-fi
-
-# Echo out what repositories we will process
-echo "# Repos: ${repos}"
+# Echo out what repositories we will clone
+echo "# Repos: ${repos} ${repos_extra}"
 
 # Run the supplied command on all repos in parallel, save output until end
 n=0
@@ -77,8 +97,9 @@
   n=`expr ${n} '+' 1`
   (
     (
-      if [ "$1" = "clone" -o "$1" = "fclone" ] ; then
-        cline="hg $* ${pull_default}/${i} ${i}"
+      if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
+        pull_newrepo="`echo ${pull_default}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
+        cline="hg clone ${pull_newrepo} ${i}"
         echo "# ${cline}"
         ( eval "${cline}" )
       else
@@ -92,10 +113,29 @@
     sleep 5
   fi
 done
-
 # Wait for all hg commands to complete
 wait
 
+if [ "${repos_extra}" != "" ] ; then
+  for i in ${repos_extra} ; do
+    echo "Starting on ${i}"
+    n=`expr ${n} '+' 1`
+    (
+      (
+          pull_newextrarepo="`echo ${pull_extra}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
+          cline="hg clone ${pull_newextrarepo} ${i}"
+          echo "# ${cline}"
+          ( eval "${cline}" )
+        echo "# exit code $?"
+      ) > ${tmp}/repo.${n} 2>&1 ; cat ${tmp}/repo.${n} ) &
+    if [ `expr ${n} '%' ${at_a_time}` -eq 0 ] ; then
+      sleep 5
+    fi
+  done
+  # Wait for all hg commands to complete
+  wait
+fi
+
 # Cleanup
 rm -f -r ${tmp}